Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader.impl
Class ImageGraphics2D

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.AbstractImage
          org.apache.xmlgraphics.image.loader.impl.ImageGraphics2D

All Implemented Interfaces:
  Image

    public class ImageGraphics2D

extends AbstractImage

This class is an implementation of the Image interface exposing a Graphics2DImagePainter.

Constructor Summary
`ImageGraphics2D(ImageInfo info, Graphics2DImagePainter painter)` Main constructor.

Method Summary
`ImageFlavor` | `getFlavor()` Returns the flavor of the image.
`Graphics2DImagePainter` | `getGraphics2DImagePainter()` Returns the contained Graphics2DImagePainter instance.
`boolean` | `isCacheable()` Indicates whether the Image instance is cacheable in memory.
`void` | `setGraphics2DImagePainter(Graphics2DImagePainter painter)` Sets the Graphics2DImagePainter instance.

Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImage
`getColorSpace, getICCProfile, getInfo, getSize, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageGraphics2D

    public ImageGraphics2D(ImageInfo info,
                           Graphics2DImagePainter painter)

  Main constructor.

  Parameters:
    `info` - the image info object
    `painter` - the image painter that will paint the Java2D image

Method Detail

### getFlavor

    public ImageFlavor getFlavor()

  Returns the flavor of the image.

  Returns:
    the image flavor

### isCacheable

    public boolean isCacheable()

  Indicates whether the Image instance is cacheable in memory.

  Returns:
    true if the Image is cacheable

### getGraphics2DImagePainter

    public Graphics2DImagePainter getGraphics2DImagePainter()

  Returns the contained Graphics2DImagePainter instance.

  Returns:
    the image painter

### setGraphics2DImagePainter

    public void setGraphics2DImagePainter(Graphics2DImagePainter painter)

  Sets the Graphics2DImagePainter instance.

  Parameters:
    `painter` - the image painter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.